
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "depec/version"

Gem::Specification.new do |spec|
  spec.name          = "depec"
  spec.version       = Depec::VERSION
  spec.authors       = ["moekidev"]
  spec.email         = ["me@moeki.dev"]
  spec.license       = "MIT"

  spec.summary       = "Depec analyzes project's depencency spec."
  spec.description = <<~EOF
    Depec analyzes project's dependency spec.
    It provides CLI to parse files in a project directory and
    report dependency spec as JSON.
  EOF
  spec.homepage      = "https://github.com/moekidev/depec"

  if spec.respond_to?(:metadata)

    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = "https://github.com/moekidev/depec"
    spec.metadata["changelog_uri"] = "https://github.com/moekidev/depec"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "thor", "~> 1.1"
  spec.add_runtime_dependency "tty-prompt", "~> 0.23"
  spec.add_runtime_dependency "dry-schema", "~> 1.8"
end
